
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.emeraldupdate.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.RegisterColorHandlersEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.block.Block;

import net.mcreator.emeraldupdate.block.GreenGemBlock;
import net.mcreator.emeraldupdate.block.EmeraldplacePortalBlock;
import net.mcreator.emeraldupdate.block.EmeraldgreenBlock;
import net.mcreator.emeraldupdate.EmeraldupdateMod;

public class EmeraldupdateModBlocks {
	public static final DeferredRegister<Block> REGISTRY = DeferredRegister.create(ForgeRegistries.BLOCKS, EmeraldupdateMod.MODID);
	public static final RegistryObject<Block> GREEN_GEM = REGISTRY.register("green_gem", () -> new GreenGemBlock());
	public static final RegistryObject<Block> EMERALDGREEN = REGISTRY.register("emeraldgreen", () -> new EmeraldgreenBlock());
	public static final RegistryObject<Block> EMERALDPLACE_PORTAL = REGISTRY.register("emeraldplace_portal", () -> new EmeraldplacePortalBlock());

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void blockColorLoad(RegisterColorHandlersEvent.Block event) {
			GreenGemBlock.blockColorLoad(event);
		}

		@SubscribeEvent
		public static void itemColorLoad(RegisterColorHandlersEvent.Item event) {
			GreenGemBlock.itemColorLoad(event);
		}
	}
}
